import { ApiCore } from './api-core';
import PQueue from 'p-queue';
import type { MometaHTMLElement } from '../../../../mometa/runtime/dom-api';
export declare class ApiServerPack extends ApiCore {
    constructor(apiBaseURL?: string);
    queue: PQueue<import("p-queue/dist/priority-queue").default, import("p-queue").DefaultAddOptions>;
    closeTip: any;
    protected _submitOperation(requestData: any): Promise<boolean>;
    handleViewOp(opType: 'up' | 'down' | 'del' | 'copy' | 'insert-asset' | 'move-dom', dom: MometaHTMLElement, extraData?: any): Promise<boolean>;
    confirmWhich(dom: MometaHTMLElement, opName: string, props?: any): Promise<'container' | 'self' | null>;
    _handleViewOp(opType: 'up' | 'down' | 'del' | 'copy' | 'insert-asset' | 'move-dom', dom: MometaHTMLElement, extraData?: any): Promise<boolean>;
}
export default function createApi(apiBaseURL: any): ApiServerPack;
